Application: gvSIG desktop - gvSIG feature requests #2864
Update the GDAL library
10/10/2014 12:42 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Application

Target version: 2.3.0-2404 (rev. org.gvsig.deskiop-2.0.107)

gvSIG version: 21.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

The actual GDAL version is 1.8 and is a bit outdated...

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2806: Update... Invalid 09/08/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2739: Conversion between... Closed 07/29/2014

Associated revisions

Revision 73 - 10/22/2015 12:17 AM - Joaquin del Cerro Murciano

refs #2864 .Eliminado la libreria de gdal del plugin de gpx y afadida dependencia con el plugin de gdal

History

#1 - 10/12/2014 04:26 AM - Antonio Falciano

Probably related to #2806 and #2739.

#2 - 10/13/2014 07:14 AM - Alvaro Anguix

- Related to gvSIG feature requests #2806: Update of libjni-proj4 (crsjniproj) added

#3 - 10/13/2014 07:14 AM - Alvaro Anguix
- Related to gvSIG bugs #2739: Conversion between EPSG:3857 and EPSG:4326 doesn't match added

#4 - 01/27/2015 02:20 PM - Alvaro Anguix
- Category set to Application

#5 - 10/15/2015 11:13 AM - Alvaro Anguix
- Status changed from New to Closed

gvSIG 2.3 use 1.11.2

#6 - 10/21/2015 03:45 PM - Antonio Falciano

Alvaro Anguix wrote:
gvSIG 2.3 use 1.11.2

Hi Alvaro,
I've installed gvSIG 2.3 build 2403 and found:

C:\gvSIG-desktop-2.3.0-2403>dir /b /s gdal*.dll

C:\gvSIG-desktop-2.3.0-2403\gdal18.dll
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdal111.dll
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdalconstjni.dll
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdaljni.dll
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.raster.gdal.app\install\files\gdal18.dll

C:\gvSIG-desktop-2.3.0-2403>dir /b /s gdal* .jar
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.gdal.app.gpx\lib\gdal-1.11.2.jar
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\lib\gdal-1.11.2.jar
C:\gvSIG-desktop-2.3.0-2403\gvSIG\extensiones\org.gvsig.raster.gdal.app\lib\gdal-1.8.1 jar

So it seems that org.gvsig.raster.gdal.app is using GDAL 1.8.1 yet.

#7 - 10/22/2015 12:21 AM - Joaquin del Cerro Murciano

- Target version set to 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)
- Assignee set to Joaquin del Cerro Murciano

- Status changed from Closed to Fixed

Eliminadas las librerias de gdal de los plugins de raster.gdal y gpx y afadidas las dependencias con el plugin de "org.gvsig.gdal.mainplugin".

#8 - 10/26/2015 11:30 AM - Antonio Falciano
- Status changed from Fixed to Closed

Hi Joaquin,

it's all right now, thanks!

build 2404:
C:\gvSIG-desktop-2.3.0-2404>dir /b /s gdal*.dll
C:\gvSIG-desktop-2.3.0-2404\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdal111.dll
C:\gvSIG-desktop-2.3.0-2404\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdalconstjni.dll
C:\gvSIG-desktop-2.3.0-2404\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdaljni.dll
C:\gvSIG-desktop-2.3.0-2404>dir /b /s gdal*.jar
C:\gvSIG-desktop-2.3.0-2404\gvSIG\extensiones\org.gvsig.gdal.app.gpx\lib\gdal-1.11.2.jar
C:\gvSIG-desktop-2.3.0-2404\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\lib\gdal-1.11.2.jar

build 2405:

C:\gvSIG-deskiop-2.3.0-2405>dir /b /s gdal*.dll
C:\gvSIG-desktop-2.3.0-2405\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdal111.dll
C:\gvSIG-desktop-2.3.0-2405\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdalconstjni.dll
C:\gvSIG-desktop-2.3.0-2405\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\gdaljni.dll

C:\gvSIG-desktop-2.3.0-2405>dir /b /s gdal*.jar
C:\gvSIG-desktop-2.3.0-2405\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\lib\gdal-1.11.2.jar

#9 - 10/31/2015 10:04 AM - Joaquin del Cerro Murciano

Al final habia errores en el empaquetado del plugin de gdal para windows y no vamos a salir con la 1.11.2 en windows.

Usaremos los binarios obtenidos de:

http://www.gisinternals.com/release.php

Y saldremos con la version 1.11.1 release 1600 en 32 y 64 bits.
